Bug 47208 - New Port; ksetisaver
Summary: New Port; ksetisaver
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tilman Keskinoz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-19 05:30 UTC by Scott A. Moberly
Modified: 2003-07-27 22:24 UTC (History)
0 users

See Also:


Attachments
file.shar (2.10 KB, text/plain)
2003-01-19 05:30 UTC, Scott A. Moberly
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Scott A. Moberly 2003-01-19 05:30:01 UTC
New port kdesetisaver, KDE screensaver to monitor seti@home
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-16 14:06:16 UTC
State Changed
From-To: open->feedback

Port does not run here: 

"Fatal error during database query: Unable to locate /opt/seti/state.sah"
Comment 2 Scott A. Moberly 2003-04-22 22:03:51 UTC
Included are some patch fioles for defaults.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#       files
#       files/patch-ksetisaver::configdialogR2.cpp
#       files/patch-ksetisaver::configdialogR2.ui
#       files/patch-ksetisaver::configuration.cpp
#
echo c - files
mkdir -p files > /dev/null 2>&1
echo x - files/patch-ksetisaver::configdialogR2.cpp
sed 's/^X//' >files/patch-ksetisaver::configdialogR2.cpp <<
'END-of-files/patch-ksetisaver::configdialogR2.cpp'
X--- ksetisaver/configdialogR2.cpp.orig Wed Apr 16 18:10:33 2003
X+++ ksetisaver/configdialogR2.cpp      Wed Apr 16 18:11:15 2003
X@@ -434,7 +434,7 @@
X
X     clientpathField = new QLineEdit( box1, "clientpathField" );
X     clientpathField->setEnabled( FALSE );
X-    clientpathField->setText( tr2i18n( "/opt/seti" ) );
X+    clientpathField->setText( tr2i18n( "/var/db/setiathome" ) );
X     QToolTip::add( clientpathField, tr2i18n( "If your clients resides in
another location than your seti@home datafiles, you may enter your clients
directory here" ) );
X     Layout13_2->addWidget( clientpathField );
X
END-of-files/patch-ksetisaver::configdialogR2.cpp
echo x - files/patch-ksetisaver::configdialogR2.ui
sed 's/^X//' >files/patch-ksetisaver::configdialogR2.ui <<
'END-of-files/patch-ksetisaver::configdialogR2.ui'
X--- ksetisaver/configdialogR2.ui.orig  Wed Apr 16 18:19:08 2003
X+++ ksetisaver/configdialogR2.ui       Wed Apr 16 18:19:25 2003
X@@ -441,7 +441,7 @@
X                                                     <bool>false</bool>
X                                                 </property>
X                                                 <property name="text">
X-                                                   
<string>/opt/seti</string>
X+                                                   
<string>/var/db/setiathome</string>
X                                                 </property>
X                                                 <property name="toolTip"
stdset="0">
X                                                     <string>If your
clients resides in another location than your seti@home datafiles, you may
enter your clients directory here</string>
END-of-files/patch-ksetisaver::configdialogR2.ui
echo x - files/patch-ksetisaver::configuration.cpp
sed 's/^X//' >files/patch-ksetisaver::configuration.cpp <<
'END-of-files/patch-ksetisaver::configuration.cpp'
X--- ksetisaver/configuration.cpp.orig  Wed Apr 16 18:20:32 2003
X+++ ksetisaver/configuration.cpp       Wed Apr 16 18:20:58 2003
X@@ -26,8 +26,8 @@
X       KSimpleConfig conf("ksetisaverrc",true);
X       sahdirs.clear();
X       conf.setGroup("General");
X-      setipath       = conf.readEntry("setipath","/opt/seti/");
X-      datapath                         =
conf.readEntry("datapath","/opt/seti/");
X+      setipath       = conf.readEntry("setipath","/var/db/setiathome/");
X+      datapath                         =
conf.readEntry("datapath","/var/db/setiathome/");
X       startclient    = conf.readBoolEntry("StartClient",false);
X       manualtransfer = conf.readBoolEntry("ManualTransfer",false);
X       playaudio      = conf.readBoolEntry("PlayAudio",false);
END-of-files/patch-ksetisaver::configuration.cpp
exit



-- 
Scott A. Moberly
smoberly at karamazov.org

A bore is someone who persists in holding his own views after we have
enlightened him with ours.
Comment 3 Tilman Keskinoz freebsd_committer 2003-05-16 16:59:25 UTC
State Changed
From-To: feedback->open

Feedback was submitted. 


Comment 4 Tilman Keskinoz freebsd_committer 2003-05-16 16:59:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

I will try to test again this weekend
Comment 5 Tilman Keskinoz freebsd_committer 2003-07-27 22:24:07 UTC
State Changed
From-To: open->closed

committed, thanks. 
Sorry for the long delay